Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187443 - IndexOutOfBoundsException: Index: 0, Size: 0
IndexOutOfBoundsException: Index: 0, Size: 0
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Egor Ushakov
issues@cnd
69patch1-verified, EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 16:33 UTC by Alexander Pepin
Modified: 2010-07-07 13:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (412 bytes, text/plain)
2010-06-10 16:33 UTC, Alexander Pepin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2010-06-10 16:33:01 UTC
Build: NetBeans IDE 6.9 (Build 201006082101)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows Vista

User Comments:
apepin: Steps to reproduce:
- add remote host
- call Attach Debugger
- choose the remote host
- check "Show all processes"




Stacktrace: 
java.lang.IndexOutOfBoundsException: Index: 0, Size: 0
   at java.util.ArrayList.RangeCheck(ArrayList.java:547)
   at java.util.ArrayList.get(ArrayList.java:322)
   at org.netbeans.modules.cnd.debugger.gdb.attach.ProcessList$1.run(ProcessList.java:215)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1418)
   at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1957)
Comment 1 Alexander Pepin 2010-06-10 16:33:06 UTC
Created attachment 99986 [details]
stacktrace
Comment 2 Alexander Pepin 2010-06-10 17:00:39 UTC
It seems that the problem occurs when we use user names with dash like 'sstrunk-tester'  
Nice to have it fixed in 6.9.1.
Comment 3 Egor Ushakov 2010-06-11 10:04:25 UTC
fixed in trunk:
http://hg.netbeans.org/cnd-main/rev/038a980bdb2e
Comment 4 Egor Ushakov 2010-06-11 10:28:14 UTC
transplanted to 691:
http://hg.netbeans.org/release691/rev/0d3d9b2d1dc9
Comment 5 Egor Ushakov 2010-06-11 10:28:33 UTC
once again, do I need to change spec versions myself?
Comment 6 Quality Engineering 2010-06-12 06:49:29 UTC
Integrated into 'main-golden', will be available in build *201006120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/038a980bdb2e
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #187443 (IndexOutOfBoundsException: Index: 0, Size: 0)
Comment 7 rbalada 2010-06-16 09:12:42 UTC
Please verify the bugfix
Comment 8 rbalada 2010-06-17 14:16:18 UTC
Please mark bugs VERIFIED-FIXED before transplanting to release691.

Please verify this bugfix asap.

Thanks,
-R
Comment 9 Alexander Pepin 2010-06-18 12:33:49 UTC
verified in trunk
Comment 10 Alexander Pepin 2010-07-07 13:43:23 UTC
verified in 6.9.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo